/* -------------------------------------------------*
 * Bugs Bunny and Taz : Time Busters All Boss Token	*
 * This autosplitter work with the PC version only 	*
 * Create by : Taskan_IV							*
 * -------------------------------------------------*/
 
state("bblit2")
{
	// Variables
	// This is the ID of the level or the cutscene.
	byte idLevel : "bblit2.exe", 0xD5CE0;
	
	// When Granny is speaking or cutscene is playing 1, otherwise 0.
	byte isSpeaking : "bblit2.exe", 0x1E5840;
	
	// In the last room when you place the last gargoyle : nbGargoyle = 5
	byte nbGargoyle : "bblit2.exe", 0xD252D;
	
	// 1 in the main menu (blue menu), otherwise 0
	byte inMenu : "bblit2.exe", 0x239DA0;
	
	//List of all the pointer that point address of token
	// Viking Era
	byte btShoreVillage : "bblit2.exe", 0x239B30, 0xD5;
	byte btMoonValley : "bblit2.exe", 0x239B30, 0xD6;
	byte btShieldRace : "bblit2.exe", 0x239B30, 0xD7;
	
	// Aztec Era
	byte btGoldenCity : "bblit2.exe", 0x239B30, 0xD2;
	byte btBaboonRealm : "bblit2.exe", 0x239B30, 0xD3;
	byte btSacredRide : "bblit2.exe", 0x239B30, 0xD4;
	
	// Arabian Era
	byte btSunsetAlleys : "bblit2.exe", 0x239B30, 0xD8;
	byte btRoyalGardens : "bblit2.exe", 0x239B30, 0xD9;
	byte btCarpetChase : "bblit2.exe", 0x239B30, 0xDA;
	
	// Transylvanian Era
	byte btGhostTown : "bblit2.exe", 0x239B30, 0xDB;
	byte btZoovania : "bblit2.exe", 0x239B30, 0xDC;
	byte btHauntedRiver : "bblit2.exe", 0x239B30, 0xDD;
}

start
{
	// Timer start when Granny is living the screen so you must to start your timer at -1.30
	if (current.isSpeaking == 0 && old.isSpeaking == 1 && current.idLevel == 4)
		return true;
}

split
{
	/* -------------------------------------------------- */
	/* ------------------- Viking Era ------------------- */
	/* -------------------------------------------------- */
	// Split : Shore Village Token
	if (current.btShoreVillage == 1 && old.btShoreVillage == 0)
		return true;
	// Split : Shield Race Token
	if (current.btShieldRace == 1 && old.btShieldRace == 0)
		return true;
	// Split : Moon Valley Token
	if (current.btMoonValley == 1 && old.btMoonValley == 0)
		return true;
	
	/* -------------------------------------------------- */
	/* ------------------- Aztec Era -------------------- */
	/* -------------------------------------------------- */
	// Split : Baboon Realm Token
	if (current.btBaboonRealm == 1 && old.btBaboonRealm == 0)
		return true;
	// Split : Golden City Token
	if (current.btGoldenCity == 1 && old.btGoldenCity == 0)
		return true;
	// Split : Sacred Ride Token
	if (current.btSacredRide == 1 && old.btSacredRide == 0)
		return true;
	
	/* -------------------------------------------------- */
	/* ------------------- Arabian Era ------------------ */
	/* -------------------------------------------------- */
	// Split : Carpet Chase Token
	if (current.btCarpetChase == 1 && old.btCarpetChase == 0)
		return true;
	// Split : Royal Gardens Token
	if (current.btRoyalGardens == 1 && old.btRoyalGardens == 0)
		return true;
	// Split : Sunset Alleys Token
	if (current.btSunsetAlleys == 1 && old.btSunsetAlleys == 0)
		return true;
	
	/* -------------------------------------------------- */
	/* ---------------- Transylvanian Era --------------- */
	/* -------------------------------------------------- */
	// Split : Haunted River Token
	if (current.btHauntedRiver == 1 && old.btHauntedRiver == 0)
		return true;
	// Split : Ghost Town Token
	if (current.btGhostTown == 1 && old.btGhostTown == 0)
		return true;
	// Split : Zoovania Token
	if (current.btZoovania == 1 && old.btZoovania == 0)
		return true;
	
	// Split : Final Boss
	if (current.idLevel == 66 && current.nbGargoyle == 5)
		return true;
}

reset
{
	// If you go to the main menu (blue menu) it will reset the timer
	if (current.inMenu == 1 && old.inMenu == 0)
		return true;
}